/*************************** (C) COPYRIGHT 2017 YNHB ****************************
 * 文件名  ：debug_output.c
 * 描  述  ：调试输出打印信息
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/04/26 
*********************************************************************************/
#include "debug_conf.h"
  
//加入以下代码,支持printf函数,而不需要选择use MicroLIB	  
#if 1
#pragma import(__use_no_semihosting)             
//标准库需要的支持函数                 
struct __FILE 
{ 
	int handle;
}; 

FILE __stdout;       
//定义_sys_exit()以避免使用半主机模式    
_sys_exit(int x) 
{ 
	x = x; 
}

//重定义fputc函数 
int fputc(int ch, FILE *f)
{      
	while(USART_GetFlagStatus(UART5,USART_FLAG_TC)==RESET){}; 
	USART_SendData(UART5, (uint8_t)ch);   
	return ch;
}

#endif 

/******************** (C) COPYRIGHT 2017 YNHB *****END OF FILE*******************/
